#include "CS_Signboard_Disco.h"

CS_Signboard_Disco::CS_Signboard_Disco()
{
	ani.png = L"CS_CaveStoryMod";
}

void CS_Signboard_Disco::SetState(int stateID, int lr)
{
	this->lr = lr;
	ani.sprite_index = lr == 0 ? L"ls_signboard_disco_open" : L"ls_signboard_disco_close";
}

std::shared_ptr<Entity> CreateCS_Signboard_Disco()
{
	return std::make_shared<CS_Signboard_Disco>();
}
